diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -1874,7 +1853,7 @@ static int mov_read_moof(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return mov_read_default(c, pb, atom);
 }
 
-static void mov_metadata_creation_time(MOVContext *c, AVIOContext *pb, AVDictionary **metadata, int version)
+static void mov_metadata_creation_time(MOVContext* c, AVIOContext* pb, AVDictionary** metadata, int version)
 {
     int64_t time;
     if (version == 1) {
@@ -1884,7 +1863,8 @@ static void mov_metadata_creation_time(MOVContext *c, AVIOContext *pb, AVDiction
             av_log(c->fc, AV_LOG_DEBUG, "creation_time is negative\n");
             return;
         }
-    } else {
+    }
+    else {
         time = avio_rb32(pb);
         avio_rb32(pb); /* modification time */
         if (time > 0 && time < 2082844800) {
@@ -1904,17 +1884,17 @@ static void mov_metadata_creation_time(MOVContext *c, AVIOContext *pb, AVDiction
     }
 }
 
-static int mov_read_mdhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_mdhd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     int version;
-    char language[4] = {0};
+    char language[4] = { 0 };
     unsigned lang;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     if (sc->time_scale) {
@@ -1950,7 +1930,7 @@ static int mov_read_mdhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_mvhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_mvhd(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int i;
     int version = avio_r8(pb); /* version */
@@ -1989,13 +1969,13 @@ static int mov_read_mvhd(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static void set_last_stream_little_endian(AVFormatContext *fc)
+static void set_last_stream_little_endian(AVFormatContext* fc)
 {
-    AVStream *st;
+    AVStream* st;
 
     if (fc->nb_streams < 1)
         return;
-    st = fc->streams[fc->nb_streams-1];
+    st = fc->streams[fc->nb_streams - 1];
 
     switch (st->codecpar->codec_id) {
     case AV_CODEC_ID_PCM_S16BE:
@@ -2018,7 +1998,7 @@ static void set_last_stream_little_endian(AVFormatContext *fc)
     }
 }
 
-static int mov_read_enda(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_enda(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int little_endian = avio_rb16(pb) & 0xFF;
     av_log(c->fc, AV_LOG_TRACE, "enda %d\n", little_endian);
@@ -2027,14 +2007,14 @@ static int mov_read_enda(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_pcmc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_pcmc(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int format_flags;
     int version, flags;
     int pcm_sample_size;
-    AVFormatContext *fc = c->fc;
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVFormatContext* fc = c->fc;
+    AVStream* st;
+    MOVStreamContext* sc;
 
     if (atom.size < 6) {
         av_log(c->fc, AV_LOG_ERROR, "Empty pcmC box\n");
@@ -2042,12 +2022,12 @@ static int mov_read_pcmc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     version = avio_r8(pb);
-    flags   = avio_rb24(pb);
+    flags = avio_rb24(pb);
 
     if (version != 0 || flags != 0) {
         av_log(c->fc, AV_LOG_ERROR,
-               "Unsupported 'pcmC' box with version %d, flags: %x",
-               version, flags);
+            "Unsupported 'pcmC' box with version %d, flags: %x",
+            version, flags);
         return AVERROR_INVALIDDATA;
     }
 
@@ -2070,11 +2050,12 @@ static int mov_read_pcmc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             break;
         default:
             av_log(fc, AV_LOG_ERROR, "invalid pcm_sample_size %d for %s\n",
-                                     pcm_sample_size,
-                                     av_fourcc2str(sc->format));
+                pcm_sample_size,
+                av_fourcc2str(sc->format));
             return AVERROR_INVALIDDATA;
         }
-    } else if (sc->format == MOV_MP4_IPCM_TAG) {
+    }
+    else if (sc->format == MOV_MP4_IPCM_TAG) {
         switch (pcm_sample_size) {
         case 16:
             st->codecpar->codec_id = AV_CODEC_ID_PCM_S16BE;
@@ -2087,13 +2068,14 @@ static int mov_read_pcmc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             break;
         default:
             av_log(fc, AV_LOG_ERROR, "invalid pcm_sample_size %d for %s\n",
-                                     pcm_sample_size,
-                                     av_fourcc2str(sc->format));
+                pcm_sample_size,
+                av_fourcc2str(sc->format));
             return AVERROR_INVALIDDATA;
         }
-    } else {
+    }
+    else {
         av_log(fc, AV_LOG_ERROR, "'pcmC' with invalid sample entry '%s'\n",
-                av_fourcc2str(sc->format));
+            av_fourcc2str(sc->format));
         return AVERROR_INVALIDDATA;
     }
 
@@ -2104,17 +2086,17 @@ static int mov_read_pcmc(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_colr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_colr(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    HEIFItem *item = NULL;
+    AVStream* st;
+    HEIFItem* item = NULL;
     char color_parameter_type[5] = { 0 };
     uint16_t color_primaries, color_trc, color_matrix;
     int ret;
 
     st = get_curr_st(c);
     if (!st) {
-        item = get_heif_item(c, c->cur_item_id);
+        item = heif_cur_item(c);
         if (!item)
             return 0;
     }
@@ -2126,22 +2108,23 @@ static int mov_read_colr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         strncmp(color_parameter_type, "nclc", 4) &&
         strncmp(color_parameter_type, "prof", 4)) {
         av_log(c->fc, AV_LOG_WARNING, "unsupported color_parameter_type %s\n",
-               color_parameter_type);
+            color_parameter_type);
         return 0;
     }
 
     if (!strncmp(color_parameter_type, "prof", 4)) {
-        AVPacketSideData *sd;
-        uint8_t *icc_profile;
+        AVPacketSideData* sd;
+        uint8_t* icc_profile;
         if (st) {
             sd = av_packet_side_data_new(&st->codecpar->coded_side_data,
-                                         &st->codecpar->nb_coded_side_data,
-                                         AV_PKT_DATA_ICC_PROFILE,
-                                         atom.size - 4, 0);
+                &st->codecpar->nb_coded_side_data,
+                AV_PKT_DATA_ICC_PROFILE,
+                atom.size - 4, 0);
             if (!sd)
                 return AVERROR(ENOMEM);
             icc_profile = sd->data;
-        } else {
+        }
+        else {
             av_freep(&item->icc_profile);
             icc_profile = item->icc_profile = av_malloc(atom.size - 4);
             if (!icc_profile) {
@@ -2153,14 +2136,15 @@ static int mov_read_colr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         ret = ffio_read_size(pb, icc_profile, atom.size - 4);
         if (ret < 0)
             return ret;
-    } else if (st) {
+    }
+    else if (st) {
         color_primaries = avio_rb16(pb);
         color_trc = avio_rb16(pb);
         color_matrix = avio_rb16(pb);
 
         av_log(c->fc, AV_LOG_TRACE,
-               "%s: pri %d trc %d matrix %d",
-               color_parameter_type, color_primaries, color_trc, color_matrix);
+            "%s: pri %d trc %d matrix %d",
+            color_parameter_type, color_primaries, color_trc, color_matrix);
 
         if (!strncmp(color_parameter_type, "nclx", 4)) {
             uint8_t color_range = avio_r8(pb) >> 7;
@@ -2179,22 +2163,22 @@ static int mov_read_colr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             color_matrix = AVCOL_SPC_UNSPECIFIED;
 
         st->codecpar->color_primaries = color_primaries;
-        st->codecpar->color_trc       = color_trc;
-        st->codecpar->color_space     = color_matrix;
+        st->codecpar->color_trc = color_trc;
+        st->codecpar->color_space = color_matrix;
         av_log(c->fc, AV_LOG_TRACE, "\n");
     }
     return 0;
 }
 
-static int mov_read_fiel(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_fiel(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     unsigned mov_field_order;
     enum AVFieldOrder decoded_field_order = AV_FIELD_UNKNOWN;
 
     if (c->fc->nb_streams < 1) // will happen with jp2 files
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     if (atom.size < 2)
         return AVERROR_INVALIDDATA;
     mov_field_order = avio_rb16(pb);
@@ -2203,13 +2187,13 @@ static int mov_read_fiel(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     else if ((mov_field_order & 0xFF00) == 0x0200) {
         switch (mov_field_order & 0xFF) {
         case 0x01: decoded_field_order = AV_FIELD_TT;
-                   break;
+            break;
         case 0x06: decoded_field_order = AV_FIELD_BB;
-                   break;
+            break;
         case 0x09: decoded_field_order = AV_FIELD_TB;
-                   break;
+            break;
         case 0x0E: decoded_field_order = AV_FIELD_BT;
-                   break;
+            break;
         }
     }
     if (decoded_field_order == AV_FIELD_UNKNOWN && mov_field_order) {
@@ -2220,7 +2204,7 @@ static int mov_read_fiel(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_realloc_extradata(AVCodecParameters *par, MOVAtom atom)
+static int mov_realloc_extradata(AVCodecParameters* par, MOVAtom atom)
 {
     int err = 0;
     uint64_t size = (uint64_t)par->extradata_size + atom.size + 8 + AV_INPUT_BUFFER_PADDING_SIZE;
@@ -2235,19 +2219,20 @@ static int mov_realloc_extradata(AVCodecParameters *par, MOVAtom atom)
 }
 
 /* Read a whole atom into the extradata return the size of the atom read, possibly truncated if != atom.size */
-static int64_t mov_read_atom_into_extradata(MOVContext *c, AVIOContext *pb, MOVAtom atom,
-                                        AVCodecParameters *par, uint8_t *buf)
+static int64_t mov_read_atom_into_extradata(MOVContext* c, AVIOContext* pb, MOVAtom atom,
+    AVCodecParameters* par, uint8_t* buf)
 {
     int64_t result = atom.size;
     int err;
 
-    AV_WB32(buf    , atom.size + 8);
+    AV_WB32(buf, atom.size + 8);
     AV_WL32(buf + 4, atom.type);
     err = ffio_read_size(pb, buf + 8, atom.size);
     if (err < 0) {
         par->extradata_size -= atom.size;
         return err;
-    } else if (err < atom.size) {
+    }
+    else if (err < atom.size) {
         av_log(c->fc, AV_LOG_WARNING, "truncated extradata\n");
         par->extradata_size -= atom.size - err;
         result = err;
@@ -2257,16 +2242,16 @@ static int64_t mov_read_atom_into_extradata(MOVContext *c, AVIOContext *pb, MOVA
 }
 
 /* FIXME modify QDM2/SVQ3/H.264 decoders to take full atom as extradata */
-static int mov_read_extradata(MOVContext *c, AVIOContext *pb, MOVAtom atom,
-                              enum AVCodecID codec_id)
+static int mov_read_extradata(MOVContext* c, AVIOContext* pb, MOVAtom atom,
+    enum AVCodecID codec_id)
 {
-    AVStream *st;
+    AVStream* st;
     uint64_t original_size;
     int err;
 
     if (c->fc->nb_streams < 1) // will happen with jp2 files
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     if (st->codecpar->codec_id != codec_id)
         return 0; /* unexpected codec_id - don't mess with extradata */
@@ -2276,34 +2261,34 @@ static int mov_read_extradata(MOVContext *c, AVIOContext *pb, MOVAtom atom,
     if (err)
         return err;
 
-    err =  mov_read_atom_into_extradata(c, pb, atom, st->codecpar,  st->codecpar->extradata + original_size);
+    err = mov_read_atom_into_extradata(c, pb, atom, st->codecpar, st->codecpar->extradata + original_size);
     if (err < 0)
         return err;
     return 0; // Note: this is the original behavior to ignore truncation.
 }
 
 /* wrapper functions for reading ALAC/AVS/MJPEG/MJPEG2000 extradata atoms only for those codecs */
-static int mov_read_alac(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_alac(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return mov_read_extradata(c, pb, atom, AV_CODEC_ID_ALAC);
 }
 
-static int mov_read_avss(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_avss(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return mov_read_extradata(c, pb, atom, AV_CODEC_ID_CAVS);
 }
 
-static int mov_read_jp2h(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_jp2h(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return mov_read_extradata(c, pb, atom, AV_CODEC_ID_JPEG2000);
 }
 
-static int mov_read_dpxe(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dpxe(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return mov_read_extradata(c, pb, atom, AV_CODEC_ID_R10K);
 }
 
-static int mov_read_avid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_avid(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret = mov_read_extradata(c, pb, atom, AV_CODEC_ID_AVUI);
     if (!ret)
@@ -2311,26 +2296,26 @@ static int mov_read_avid(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ret;
 }
 
-static int mov_read_targa_y216(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_targa_y216(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret = mov_read_extradata(c, pb, atom, AV_CODEC_ID_TARGA_Y216);
 
     if (!ret && c->fc->nb_streams >= 1) {
-        AVCodecParameters *par = c->fc->streams[c->fc->nb_streams-1]->codecpar;
+        AVCodecParameters* par = c->fc->streams[c->fc->nb_streams - 1]->codecpar;
         if (par->extradata_size >= 40) {
             par->height = AV_RB16(&par->extradata[36]);
-            par->width  = AV_RB16(&par->extradata[38]);
+            par->width = AV_RB16(&par->extradata[38]);
         }
     }
     return ret;
 }
 
-static int mov_read_ares(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ares(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     if (c->fc->nb_streams >= 1) {
-        AVStream *const  st = c->fc->streams[c->fc->nb_streams - 1];
-        FFStream *const sti = ffstream(st);
-        AVCodecParameters *par = st->codecpar;
+        AVStream* const  st = c->fc->streams[c->fc->nb_streams - 1];
+        FFStream* const sti = ffstream(st);
+        AVCodecParameters* par = st->codecpar;
 
         if (par->codec_tag == MKTAG('A', 'V', 'i', 'n') &&
             par->codec_id == AV_CODEC_ID_H264 &&
@@ -2342,10 +2327,11 @@ static int mov_read_ares(MOVContext *c, AVIOContext *pb, MOVAtom atom)
             if (cid == 0xd4d || cid == 0xd4e)
                 par->width = 1440;
             return 0;
-        } else if ((par->codec_tag == MKTAG('A', 'V', 'd', '1') ||
-                    par->codec_tag == MKTAG('A', 'V', 'j', '2') ||
-                    par->codec_tag == MKTAG('A', 'V', 'd', 'n')) &&
-                   atom.size >= 24) {
+        }
+        else if ((par->codec_tag == MKTAG('A', 'V', 'd', '1') ||
+            par->codec_tag == MKTAG('A', 'V', 'j', '2') ||
+            par->codec_tag == MKTAG('A', 'V', 'd', 'n')) &&
+            atom.size >= 24) {
             int num, den;
             avio_skip(pb, 12);
             num = avio_rb32(pb);
@@ -2368,20 +2354,20 @@ static int mov_read_ares(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return mov_read_avid(c, pb, atom);
 }
 
-static int mov_read_aclr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_aclr(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret = 0;
     int length = 0;
     uint64_t original_size;
     if (c->fc->nb_streams >= 1) {
-        AVCodecParameters *par = c->fc->streams[c->fc->nb_streams-1]->codecpar;
+        AVCodecParameters* par = c->fc->streams[c->fc->nb_streams - 1]->codecpar;
         if (par->codec_id == AV_CODEC_ID_H264)
             return 0;
         if (atom.size == 16) {
             original_size = par->extradata_size;
             ret = mov_realloc_extradata(par, atom);
             if (!ret) {
-                length =  mov_read_atom_into_extradata(c, pb, atom, par, par->extradata + original_size);
+                length = mov_read_atom_into_extradata(c, pb, atom, par, par->extradata + original_size);
                 if (length == atom.size) {
                     const uint8_t range_value = par->extradata[original_size + 19];
                     switch (range_value) {
@@ -2396,14 +2382,17 @@ static int mov_read_aclr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                         break;
                     }
                     ff_dlog(c->fc, "color_range: %d\n", par->color_range);
-                } else {
-                  /* For some reason the whole atom was not added to the extradata */
-                  av_log(c->fc, AV_LOG_ERROR, "aclr not decoded - incomplete atom\n");
                 }
-            } else {
+                else {
+                    /* For some reason the whole atom was not added to the extradata */
+                    av_log(c->fc, AV_LOG_ERROR, "aclr not decoded - incomplete atom\n");
+                }
+            }
+            else {
                 av_log(c->fc, AV_LOG_ERROR, "aclr not decoded - unable to add atom to extradata\n");
             }
-        } else {
+        }
+        else {
             av_log(c->fc, AV_LOG_WARNING, "aclr not decoded - unexpected size %"PRId64"\n", atom.size);
         }
     }
@@ -2411,21 +2400,21 @@ static int mov_read_aclr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ret;
 }
 
-static int mov_read_svq3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_svq3(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return mov_read_extradata(c, pb, atom, AV_CODEC_ID_SVQ3);
 }
 
-static int mov_read_wave(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_wave(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int ret;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if ((uint64_t)atom.size > (1<<30))
+    if ((uint64_t)atom.size > (1 << 30))
         return AVERROR_INVALIDDATA;
 
     if (st->codecpar->codec_id == AV_CODEC_ID_QDM2 ||
@@ -2435,7 +2424,8 @@ static int mov_read_wave(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         ret = ff_get_extradata(c->fc, st->codecpar, pb, atom.size);
         if (ret < 0)
             return ret;
-    } else if (atom.size > 8) { /* to read frma, esds atoms */
+    }
+    else if (atom.size > 8) { /* to read frma, esds atoms */
         if (st->codecpar->codec_id == AV_CODEC_ID_ALAC && atom.size >= 24) {
             uint64_t buffer;
             ret = ffio_ensure_seekback(pb, 8);
@@ -2443,19 +2433,20 @@ static int mov_read_wave(MOVContext *c, AVIOContext *pb, MOVAtom atom)
                 return ret;
             buffer = avio_rb64(pb);
             atom.size -= 8;
-            if (  (buffer & 0xFFFFFFFF) == MKBETAG('f','r','m','a')
+            if ((buffer & 0xFFFFFFFF) == MKBETAG('f', 'r', 'm', 'a')
                 && buffer >> 32 <= atom.size
                 && buffer >> 32 >= 8) {
                 avio_skip(pb, -8);
                 atom.size += 8;
-            } else if (!st->codecpar->extradata_size) {
+            }
+            else if (!st->codecpar->extradata_size) {
 #define ALAC_EXTRADATA_SIZE 36
                 st->codecpar->extradata = av_mallocz(ALAC_EXTRADATA_SIZE + AV_INPUT_BUFFER_PADDING_SIZE);
                 if (!st->codecpar->extradata)
                     return AVERROR(ENOMEM);
                 st->codecpar->extradata_size = ALAC_EXTRADATA_SIZE;
-                AV_WB32(st->codecpar->extradata    , ALAC_EXTRADATA_SIZE);
-                AV_WB32(st->codecpar->extradata + 4, MKTAG('a','l','a','c'));
+                AV_WB32(st->codecpar->extradata, ALAC_EXTRADATA_SIZE);
+                AV_WB32(st->codecpar->extradata + 4, MKTAG('a', 'l', 'a', 'c'));
                 AV_WB64(st->codecpar->extradata + 12, buffer);
                 avio_read(pb, st->codecpar->extradata + 20, 16);
                 avio_skip(pb, atom.size - 24);
@@ -2464,7 +2455,8 @@ static int mov_read_wave(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         }
         if ((ret = mov_read_default(c, pb, atom)) < 0)
             return ret;
-    } else
+    }
+    else
         avio_skip(pb, atom.size);
     return 0;
 }
@@ -2473,19 +2465,19 @@ static int mov_read_wave(MOVContext *c, AVIOContext *pb, MOVAtom atom)
  * This function reads atom content and puts data in extradata without tag
  * nor size unlike mov_read_extradata.
  */
-static int mov_read_glbl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_glbl(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int ret;
 
     st = get_curr_st(c);
     if (!st)
         return 0;
 
-    if ((uint64_t)atom.size > (1<<30))
+    if ((uint64_t)atom.size > (1 << 30))
         return AVERROR_INVALIDDATA;
 
-    if (atom.type == MKTAG('v','v','c','C')) {
+    if (atom.type == MKTAG('v', 'v', 'c', 'C')) {
         avio_skip(pb, 4);
         atom.size -= 4;
     }
@@ -2498,7 +2490,7 @@ static int mov_read_glbl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         if (avio_feof(pb))
             return AVERROR_INVALIDDATA;
         avio_seek(pb, -8, SEEK_CUR);
-        if (type == MKTAG('f','i','e','l') && size == atom.size)
+        if (type == MKTAG('f', 'i', 'e', 'l') && size == atom.size)
             return mov_read_default(c, pb, atom);
     }
     if (st->codecpar->extradata_size > 1 && st->codecpar->extradata) {
@@ -2508,7 +2500,7 @@ static int mov_read_glbl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     ret = ff_get_extradata(c->fc, st->codecpar, pb, atom.size);
     if (ret < 0)
         return ret;
-    if (atom.type == MKTAG('h','v','c','C') && st->codecpar->codec_tag == MKTAG('d','v','h','1'))
+    if (atom.type == MKTAG('h', 'v', 'c', 'C') && st->codecpar->codec_tag == MKTAG('d', 'v', 'h', '1'))
         /* HEVC-based Dolby Vision derived from hvc1.
            Happens to match with an identifier
            previously utilized for DV. Thus, if we have
@@ -2519,17 +2511,17 @@ static int mov_read_glbl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_dvc1(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dvc1(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     uint8_t profile_level;
     int ret;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if (atom.size >= (1<<28) || atom.size < 7)
+    if (atom.size >= (1 << 28) || atom.size < 7)
         return AVERROR_INVALIDDATA;
 
     profile_level = avio_r8(pb);
@@ -2573,18 +2565,18 @@ static int mov_read_sbas(MOVContext* c, AVIOContext* pb, MOVAtom atom)
  * but can have extradata appended at the end after the 40 bytes belonging
  * to the struct.
  */
-static int mov_read_strf(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_strf(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int ret;
 
     if (c->fc->nb_streams < 1)
         return 0;
     if (atom.size <= 40)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if ((uint64_t)atom.size > (1<<30))
+    if ((uint64_t)atom.size > (1 << 30))
         return AVERROR_INVALIDDATA;
 
     avio_skip(pb, 40);
@@ -2595,10 +2587,10 @@ static int mov_read_strf(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_stco(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_stco(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     unsigned int i, entries;
 
     if (c->trak_index < 0) {
@@ -2607,7 +2599,7 @@ static int mov_read_stco(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     avio_r8(pb); /* version */
@@ -2618,8 +2610,8 @@ static int mov_read_stco(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     entries = avio_rb32(pb);
     entries =
         FFMIN(entries,
-              FFMAX(0, (atom.size - 8) /
-                           (atom.type == MKTAG('s', 't', 'c', 'o') ? 4 : 8)));
+            FFMAX(0, (atom.size - 8) /
+                (atom.type == MKTAG('s', 't', 'c', 'o') ? 4 : 8)));
 
     if (!entries)
         return 0;
@@ -2636,10 +2628,10 @@ static int mov_read_stco(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return AVERROR(ENOMEM);
     sc->chunk_count = entries;
 
-    if      (atom.type == MKTAG('s','t','c','o'))
+    if (atom.type == MKTAG('s', 't', 'c', 'o'))
         for (i = 0; i < entries && !pb->eof_reached; i++)
             sc->chunk_offsets[i] = avio_rb32(pb);
-    else if (atom.type == MKTAG('c','o','6','4'))
+    else if (atom.type == MKTAG('c', 'o', '6', '4'))
         for (i = 0; i < entries && !pb->eof_reached; i++) {
             sc->chunk_offsets[i] = avio_rb64(pb);
             if (sc->chunk_offsets[i] < 0) {
@@ -2660,32 +2652,33 @@ static int mov_read_stco(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_codec_id(AVStream *st, uint32_t format)
+static int mov_codec_id(AVStream* st, uint32_t format)
 {
     int id = ff_codec_get_id(ff_codec_movaudio_tags, format);
 
     if (id <= 0 &&
         ((format & 0xFFFF) == 'm' + ('s' << 8) ||
-         (format & 0xFFFF) == 'T' + ('S' << 8)))
+            (format & 0xFFFF) == 'T' + ('S' << 8)))
         id = ff_codec_get_id(ff_codec_wav_tags, av_bswap32(format) & 0xFFFF);
 
     if (st->codecpar->codec_type != AVMEDIA_TYPE_VIDEO && id > 0) {
         st->codecpar->codec_type = AVMEDIA_TYPE_AUDIO;
-    } else if (st->codecpar->codec_type != AVMEDIA_TYPE_AUDIO &&
-               /* skip old ASF MPEG-4 tag */
-               format && format != MKTAG('m','p','4','s')) {
+    }
+    else if (st->codecpar->codec_type != AVMEDIA_TYPE_AUDIO &&
+        /* skip old ASF MPEG-4 tag */
+        format && format != MKTAG('m', 'p', '4', 's')) {
         id = ff_codec_get_id(ff_codec_movvideo_tags, format);
         if (id <= 0)
             id = ff_codec_get_id(ff_codec_bmp_tags, format);
         if (id > 0)
             st->codecpar->codec_type = AVMEDIA_TYPE_VIDEO;
         else if (st->codecpar->codec_type == AVMEDIA_TYPE_DATA ||
-                    (st->codecpar->codec_type == AVMEDIA_TYPE_SUBTITLE &&
-                    st->codecpar->codec_id == AV_CODEC_ID_NONE)) {
+            (st->codecpar->codec_type == AVMEDIA_TYPE_SUBTITLE &&
+                st->codecpar->codec_id == AV_CODEC_ID_NONE)) {
             id = ff_codec_get_id(ff_codec_movsubtitle_tags, format);
             if (id <= 0) {
                 id = (format == MOV_MP4_TTML_TAG || format == MOV_ISMV_TTML_TAG) ?
-                     AV_CODEC_ID_TTML : id;
+                    AV_CODEC_ID_TTML : id;
             }
 
             if (id > 0)
@@ -2700,8 +2693,8 @@ static int mov_codec_id(AVStream *st, uint32_t format)
     return id;
 }
 
-static void mov_parse_stsd_video(MOVContext *c, AVIOContext *pb,
-                                 AVStream *st, MOVStreamContext *sc)
+static void mov_parse_stsd_video(MOVContext* c, AVIOContext* pb,
+    AVStream* st, MOVStreamContext* sc)
 {
     uint8_t codec_name[32] = { 0 };
     int64_t stsd_start;
@@ -2712,20 +2705,14 @@ static void mov_parse_stsd_video(MOVContext *c, AVIOContext *pb,
      * read in ff_mov_read_stsd_entries() */
     stsd_start = avio_tell(pb) - 16;
 
-    if (c->isom) {
-        avio_skip(pb, 2);  /* pre_defined */
-        avio_skip(pb, 2);  /* reserved */
-        avio_skip(pb, 12); /* pre_defined */
-    } else {
-        avio_rb16(pb); /* version */
-        avio_rb16(pb); /* revision level */
-        id = avio_rl32(pb); /* vendor */
-        av_dict_set(&st->metadata, "vendor_id", av_fourcc2str(id), 0);
-        avio_rb32(pb); /* temporal quality */
-        avio_rb32(pb); /* spatial quality */
-    }
+    avio_rb16(pb); /* version */
+    avio_rb16(pb); /* revision level */
+    id = avio_rl32(pb); /* vendor */
+    av_dict_set(&st->metadata, "vendor_id", av_fourcc2str(id), 0);
+    avio_rb32(pb); /* temporal quality */
+    avio_rb32(pb); /* spatial quality */
 
-    st->codecpar->width  = avio_rb16(pb); /* width */
+    st->codecpar->width = avio_rb16(pb); /* width */
     st->codecpar->height = avio_rb16(pb); /* height */
 
     avio_rb32(pb); /* horiz resolution */
@@ -2750,7 +2737,7 @@ static void mov_parse_stsd_video(MOVContext *c, AVIOContext *pb,
         st->codecpar->height &= ~1;
     }
     /* Flash Media Server uses tag H.263 with Sorenson Spark */
-    if (st->codecpar->codec_tag == MKTAG('H','2','6','3') &&
+    if (st->codecpar->codec_tag == MKTAG('H', '2', '6', '3') &&
         !strncmp(codec_name, "Sorenson H263", 13))
         st->codecpar->codec_id = AV_CODEC_ID_FLV1;
 
@@ -2764,22 +2751,18 @@ static void mov_parse_stsd_video(MOVContext *c, AVIOContext *pb,
     }
 }
 
-static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
-                                 AVStream *st, MOVStreamContext *sc)
+static void mov_parse_stsd_audio(MOVContext* c, AVIOContext* pb,
+    AVStream* st, MOVStreamContext* sc)
 {
     int bits_per_sample, flags;
     uint16_t version = avio_rb16(pb);
     uint32_t id = 0;
-    AVDictionaryEntry *compatible_brands = av_dict_get(c->fc->metadata, "compatible_brands", NULL, AV_DICT_MATCH_CASE);
+    AVDictionaryEntry* compatible_brands = av_dict_get(c->fc->metadata, "compatible_brands", NULL, AV_DICT_MATCH_CASE);
     int channel_count;
 
-    if (c->isom)
-        avio_skip(pb, 6); /* reserved */
-    else {
-        avio_rb16(pb); /* revision level */
-        id = avio_rl32(pb); /* vendor */
-        av_dict_set(&st->metadata, "vendor_id", av_fourcc2str(id), 0);
-    }
+    avio_rb16(pb); /* revision level */
+    id = avio_rl32(pb); /* vendor */
+    av_dict_set(&st->metadata, "vendor_id", av_fourcc2str(id), 0);
 
     channel_count = avio_rb16(pb);
 
@@ -2803,7 +2786,8 @@ static void mov_parse_stsd_audio(MOVContext *c, AVIOContext *pb,
             avio_rb32(pb); /* bytes per packet */
             sc->bytes_per_frame = avio_rb32(pb);
             avio_rb32(pb); /* bytes per sample */
-        } else if (version == 2) {
+        }
+        else if (version == 2) {
             avio_rb32(pb); /* sizeof struct only */
             st->codecpar->sample_rate = av_int2double(avio_rb64(pb));
             channel_count = avio_rb32(pb);
